#include <stdio.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/stat.h>


#ifndef _WINDOWS

    /* unix version */

#include <dirent.h>


int directoryExists(char *path) {
    int directoryExists;
    DIR *pDir;

    pDir = opendir(path);

    if (pDir == NULL) {
	directoryExists = 0;
	/* perror("directoryExists: "); */
    }
    else {
	directoryExists = 1;
	closedir(pDir);
    }

    return directoryExists;
}

#else

    /* Windows version */

int directoryExists(char *path) {
    int directoryExists;

    if (_mkdir(path) == -1) {
	    /* mkdir failed because directory already exists (we hope!) */
	directoryExists = 1;
    }
    else {
	    /* mkdir succeeded because the directory did not already exist */
	    /* but we don't want to create the directory now, so we will */
	    /* remove it before returning. */
	rmdir(path);
	directoryExists = 0;
    }

        return directoryExists;
}

#endif
